### Hierarchy

- Breadcrumb

### Implements

- AfterContentInit

## Index

### Inputs

- ariaLabel
- items
- noTrailingSlash
- skeleton
- threshold

### Outputs

- navigation

### Constructors

- constructor

### Properties

- _skeleton
- _threshold
- ariaLabel
- children
- domSanitizer
- items
- navigation
- noTrailingSlash
- router

### Accessors

- first
- last
- overflowItems
- secondLast
- shouldShowContent
- shouldShowOverflow
- skeleton
- threshold

### Methods

- navigate
- ngAfterContentInit
- updateChildren

## Constructors

### constructor

- new Breadcrumb(domSanitizer: DomSanitizer, router: Router): Breadcrumb

- - Defined in src/breadcrumb/breadcrumb.component.ts:182

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns Breadcrumb

## Properties

### Protected _skeleton

_skeleton: boolean = false

- Defined in src/breadcrumb/breadcrumb.component.ts:182

### Protected _threshold

_threshold: number

- Defined in src/breadcrumb/breadcrumb.component.ts:181

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/breadcrumb/breadcrumb.component.ts:125

### children

@ContentChildren({"selector":"BreadcrumbItemComponent"})
children: QueryList<BreadcrumbItemComponent>

- Defined in src/breadcrumb/breadcrumb.component.ts:119

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/breadcrumb/breadcrumb.component.ts:184

### items

@Input()
items: Array<BreadcrumbItem>

- Defined in src/breadcrumb/breadcrumb.component.ts:121

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/breadcrumb/breadcrumb.component.ts:152

### noTrailingSlash

@Input()
noTrailingSlash: boolean = false

- Defined in src/breadcrumb/breadcrumb.component.ts:123

### Protected router

@Optional()
router: Router

- Defined in src/breadcrumb/breadcrumb.component.ts:184

## Accessors

### first

first:

- Defined in src/breadcrumb/breadcrumb.component.ts:165

### last

last:

- Defined in src/breadcrumb/breadcrumb.component.ts:177

### overflowItems

overflowItems:

- Defined in src/breadcrumb/breadcrumb.component.ts:169

### secondLast

secondLast:

- Defined in src/breadcrumb/breadcrumb.component.ts:173

### shouldShowContent

shouldShowContent:

- Defined in src/breadcrumb/breadcrumb.component.ts:154

### shouldShowOverflow

shouldShowOverflow:

- Defined in src/breadcrumb/breadcrumb.component.ts:158

### skeleton

@Input()
skeleton:

- Defined in src/breadcrumb/breadcrumb.component.ts:128
- Defined in src/breadcrumb/breadcrumb.component.ts:133

### threshold

@Input()
threshold:

- Defined in src/breadcrumb/breadcrumb.component.ts:138
- Defined in src/breadcrumb/breadcrumb.component.ts:145

## Methods

### navigate

- navigate(event: any, item: BreadcrumbItem): void

- - Defined in src/breadcrumb/breadcrumb.component.ts:190

  #### Parameters

  - ##### event: any

  - ##### item: BreadcrumbItem

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/breadcrumb/breadcrumb.component.ts:186

  #### Returns void

### Protected updateChildren

- updateChildren(): void

- - Defined in src/breadcrumb/breadcrumb.component.ts:198

  #### Returns void

Generated using TypeDoc